ru.bitel.bgbilling.kernel.contract.api.common.service

## Class ContractStatusService.ContractStatusChangeParameters

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.api.common.service.ContractStatusService.ContractStatusChangeParameters

- Enclosing interface:
    ContractStatusService

      public static class ContractStatusService.ContractStatusChangeParameters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractStatusChangeParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getChangeableStatuses()`
    `java.util.Date` | `getDate()`
    `java.util.List<java.util.Date>` | `getDateList()`
    `boolean` | `isCanCancel()`
    `boolean` | `isHasFutureChange()`
    `boolean` | `isHasManyFutureChanges()`
    `void` | `setCanCancel(boolean canCancel)`
    `void` | `setChangeableStatuses(java.util.Set<java.lang.Integer> changeableStatuses)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDateList(java.util.List<java.util.Date> dateList)`
    `void` | `setHasFutureChange(boolean hasFutureChange)`
    `void` | `setHasManyFutureChanges(boolean hasManyFutureChanges)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractStatusChangeParameters

          public ContractStatusChangeParameters()

  - ### Method Detail

    - #### getChangeableStatuses

          public java.util.Set<java.lang.Integer> getChangeableStatuses()

    - #### setChangeableStatuses

          public void setChangeableStatuses(java.util.Set<java.lang.Integer> changeableStatuses)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getDateList

          public java.util.List<java.util.Date> getDateList()

    - #### setDateList

          public void setDateList(java.util.List<java.util.Date> dateList)

    - #### isHasFutureChange

          public boolean isHasFutureChange()

    - #### setHasFutureChange

          public void setHasFutureChange(boolean hasFutureChange)

    - #### isHasManyFutureChanges

          public boolean isHasManyFutureChanges()

    - #### setHasManyFutureChanges

          public void setHasManyFutureChanges(boolean hasManyFutureChanges)

    - #### isCanCancel

          public boolean isCanCancel()

    - #### setCanCancel

          public void setCanCancel(boolean canCancel)